package com.powenko.myradiobutton;

import android.os.Bundle;
import android.support.v7.app.ActionBarActivity;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemSelectedListener;
import android.widget.ArrayAdapter;
import android.widget.EditText;
import android.widget.NumberPicker;
import android.widget.NumberPicker.OnValueChangeListener;
import android.widget.RadioButton;
import android.widget.RadioGroup;
import android.widget.RadioGroup.OnCheckedChangeListener;
import android.widget.Spinner;
import android.widget.TextView;

public class MainActivity extends ActionBarActivity {
	private EditText editText1;
	private TextView textView1;
	private RadioButton radioButton1;
	private RadioButton radioButton2;
	private Spinner spinner1;
    private String[] StringSpinner1 = {"~140","140~150", "150~160", "160~170", "170~180","180~190","190~"};
    private String t_radio="";
    private String t_Spinner="";
    
    
    private NumberPicker numberPicker1;
    private String t_NumberPicker="";
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		editText1 = (EditText) findViewById(R.id.editText1);    
		textView1 = (TextView) findViewById(R.id.textView1);    
		RadioGroup radioGroup1 = (RadioGroup) findViewById(R.id.radioGroup1);    
		radioButton1 = (RadioButton) findViewById(R.id.radioButton1);    
		radioButton2 = (RadioButton) findViewById(R.id.radioButton2);
		radioGroup1.setOnCheckedChangeListener(new OnCheckedChangeListener(){
			@Override
			public void onCheckedChanged(RadioGroup group, int checkedId) {
				
				if(checkedId==radioButton1.getId()){					
					t_radio=radioButton1.getText().toString();
				}else if(checkedId==radioButton2.getId()){
					t_radio=radioButton2.getText().toString();
				}
				Display();
			}});
		spinner1 = (Spinner) findViewById(R.id.spinner1);    
		ArrayAdapter<String> adapter = new ArrayAdapter<String>(this,
                android.R.layout.simple_spinner_item, StringSpinner1);
		adapter.setDropDownViewResource(android.R.layout.simple_spinner_dropdown_item);
		spinner1.setAdapter(adapter);
		spinner1.setOnItemSelectedListener(new OnItemSelectedListener(){
			@Override
			public void onItemSelected(AdapterView<?> parent, View view,
					int position, long id) {
				    t_Spinner=StringSpinner1[position];
					Display();
			}

			@Override
			public void onNothingSelected(AdapterView<?> parent) {
				t_Spinner="";
				Display();
			}
		});
		
		/////
		int max=100;
 		numberPicker1 = (NumberPicker) findViewById(R.id.numberPicker1);
 		numberPicker1.setMinValue(1);                                                      //最小的数字
 		numberPicker1.setMaxValue(max);                                                //最大的数字
 		numberPicker1.setValue(20);                                                           // 初始值
 		numberPicker1.setOnValueChangedListener(new OnValueChangeListener(){
 			@Override
 			public void onValueChange(NumberPicker picker, int oldVal,int newVal) {
 				t_NumberPicker=String.valueOf(newVal);
 				Display();
 			}});
 		
	}
	private void Display(){
		textView1.setText("Name="+editText1.getText().toString()+
		          " is "+t_radio+
		          " Height="+t_Spinner+
 		          " Age="+t_NumberPicker);		
	}
}
